3518a68246677aa4cfb1fcb94a019ef87bb090be
[deliverable/binutils-gdb.git] / configure.in
1 #! /bin/bash
2 ##############################################################################
3
4 ## This file is a shell script fragment that supplies the information
5 ## necessary to tailor a template configure script into the configure
6 ## script appropriate for this directory. For more information, check
7 ## any existing configure script.
8
9 ## Be warned, there are two types of configure.in files. There are those
10 ## used by Autoconf, which are macros which are expanded into a configure
11 ## script by autoconf. The other sort, of which this is one, is executed
12 ## by Cygnus configure.
13
14 ## For more information on these two systems, check out the documentation
15 ## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
17 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998,
18 # 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify it
21 # under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful, but
26 # WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
28 # General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; if not, write to the Free Software
32 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33
34 ##############################################################################
35
36 ### To add a new directory to the tree, first choose whether it is a target
37 ### or a host dependent tool. Then put it into the appropriate list
38 ### (library or tools, host or target), doing a dependency sort. For
39 ### example, gdb requires that byacc (or bison) be built first, so it is in
40 ### the ${host_tools} list after byacc and bison.
41
42
43 # these libraries are used by various programs built for the host environment
44 #
45 host_libs="intl mmalloc libiberty opcodes bfd readline gash db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
46
47 libstdcxx_version="target-libstdc++-v3"
48 # Don't use libstdc++-v3's flags to configure/build itself.
49 libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
50
51 # these tools are built for the host environment
52 # Note, the powerpc-eabi build depends on sim occurring before gdb in order to
53 # know that we are building the simulator.
54 host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
55
56 # libgcj represents the runtime libraries only used by gcj.
57 libgcj="target-libffi \
58 target-boehm-gc \
59 target-zlib \
60 target-qthreads \
61 target-libjava"
62
63 # these libraries are built for the target environment, and are built after
64 # the host libraries and the host tools (which may be a cross compiler)
65 #
66 target_libs="target-libiberty \
67 target-libgloss \
68 target-newlib \
69 target-librx \
70 ${libstdcxx_version} \
71 target-libf2c \
72 ${libgcj}
73 target-libobjc"
74
75 # these tools are built using the target libs, and are intended to run only
76 # in the target environment
77 #
78 # note: any program that *uses* libraries that are in the "target_libs"
79 # list belongs in this list. those programs are also very likely
80 # candidates for the "native_only" list which follows
81 #
82 target_tools="target-examples target-groff target-gperf"
83
84 ################################################################################
85
86 ## These two lists are of directories that are to be removed from the
87 ## ${configdirs} list for either cross-compilations or for native-
88 ## compilations. For example, it doesn't make that much sense to
89 ## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
90 ## a native environment.
91
92 # directories to be built in the native environment only
93 #
94 # This must be a single line because of the way it is searched by grep in
95 # the code below.
96 native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
97
98 # directories to be built in a cross environment only
99 #
100 cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
101
102 ## All tools belong in one of the four categories, and are assigned above
103 ## We assign ${configdirs} this way to remove all embedded newlines. This
104 ## is important because configure will choke if they ever get through.
105 ## ${configdirs} is directories we build using the host tools.
106 ## ${target_configdirs} is directories we build using the target tools.
107 #
108 configdirs=`echo ${host_libs} ${host_tools}`
109 target_configdirs=`echo ${target_libs} ${target_tools}`
110
111 ################################################################################
112
113 srctrigger=move-if-change
114 srcname="gnu development package"
115
116 # This gets set non-empty for some net releases of packages.
117 appdirs=""
118
119 # per-host:
120
121 # Work in distributions that contain no compiler tools, like Autoconf.
122 tentative_cc=""
123 if [ -d ${srcdir}/config ]; then
124 case "${host}" in
125 m68k-hp-hpux*)
126 # Avoid "too much defining" errors from HPUX compiler.
127 tentative_cc="cc -Wp,-H256000"
128 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
129 ;;
130 m68k-apollo-sysv*)
131 tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
132 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
133 ;;
134 m68k-apollo-bsd*)
135 #None of the Apollo compilers can compile gas or binutils. The preprocessor
136 # chokes on bfd, the compiler won't let you assign integers to enums, and
137 # other problems. Defining CC to gcc is a questionable way to say "don't use
138 # the apollo compiler" (the preferred version of GCC could be called cc,
139 # or whatever), but I'm not sure leaving CC as cc is any better...
140 #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
141 tentative_cc=gcc
142 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
143 ;;
144 m88k-dg-dgux*)
145 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
146 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
147 ;;
148 m88k-harris-cxux*)
149 # Under CX/UX, we want to tell the compiler to use ANSI mode.
150 tentative_cc="cc -Xa"
151 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
152 ;;
153 m88k-motorola-sysv*)
154 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
155 ;;
156 mips*-dec-ultrix*)
157 tentative_cc="cc -Wf,-XNg1000"
158 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
159 ;;
160 mips*-nec-sysv4*)
161 # The C compiler on NEC MIPS SVR4 needs bigger tables.
162 tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
163 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
164 ;;
165 mips*-sgi-irix6*)
166 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
167 ;;
168 mips*-sgi-irix5*)
169 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
170 ;;
171 mips*-sgi-irix4*)
172 # Tell compiler to use K&R C. We can't compile under the SGI Ansi
173 # environment. Also bump switch table size so that cp-parse will
174 # compile. Bump string length limit so linker builds.
175 tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
176 host_makefile_frag="${host_makefile_frag} config/mh-irix4"
177 ;;
178 mips*-sgi-irix3*)
179 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
180 ;;
181 mips*-*-sysv4*)
182 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
183 ;;
184 mips*-*-sysv*)
185 # This is for a MIPS running RISC/os 4.52C.
186
187 # This is needed for GDB, but needs to be in the top-level make because
188 # if a library is compiled with the bsd headers and gets linked with the
189 # sysv system libraries all hell can break loose (e.g. a jmp_buf might be
190 # a different size).
191 # ptrace(2) apparently has problems in the BSD environment. No workaround is
192 # known except to select the sysv environment. Could we use /proc instead?
193 # These "sysv environments" and "bsd environments" often end up being a pain.
194 #
195 # This is not part of CFLAGS because perhaps not all C compilers have this
196 # option.
197 tentative_cc="cc -systype sysv"
198 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
199 ;;
200 i370-ibm-opened*)
201 tentative_cc="c89"
202 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
203 ;;
204 i[3456]86-*-sysv5*)
205 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
206 ;;
207 i[3456]86-*-dgux*)
208 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
209 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
210 ;;
211 i[3456]86-ncr-sysv4.3*)
212 # The MetaWare compiler will generate a copyright message unless you
213 # turn it off by adding the -Hnocopyr flag.
214 tentative_cc="cc -Hnocopyr"
215 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
216 ;;
217 i[3456]86-ncr-sysv4*)
218 # for an NCR 3000 (i486/SVR4) system.
219 # The NCR 3000 ships with a MetaWare compiler installed as /bin/cc.
220 # This compiler not only emits obnoxious copyright messages every time
221 # you run it, but it chokes and dies on a whole bunch of GNU source
222 # files. Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
223 tentative_cc="/usr/ccs/ATT/cc"
224 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
225 ;;
226 i[3456]86-*-sco3.2v5*)
227 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
228 ;;
229 i[3456]86-*-sco*)
230 # The native C compiler botches some simple uses of const. Unfortunately,
231 # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
232 tentative_cc="cc -Dconst="
233 host_makefile_frag="${host_makefile_frag} config/mh-sco"
234 ;;
235 i[3456]86-*-udk*)
236 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
237 ;;
238 i[3456]86-*-isc*)
239 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
240 ;;
241 i[3456]86-*-solaris2*)
242 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
243 ;;
244 i[3456]86-*-aix*)
245 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
246 ;;
247 i[3456]86-*-msdosdjgpp*)
248 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
249 ;;
250 *-cygwin*)
251 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
252 ;;
253 *-mingw32*)
254 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
255 ;;
256 *-interix*)
257 host_makefile_frag="${host_makefile_frag} config/mh-interix"
258 ;;
259 vax-*-ultrix2*)
260 # The old BSD pcc isn't up to compiling parts of gdb so use gcc
261 tentative_cc=gcc
262 ;;
263 *-*-solaris2*)
264 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
265 ;;
266 m68k-sun-sunos*)
267 # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
268 # without overflowing the jump tables (-J says to use a 32 bit table)
269 tentative_cc="cc -J"
270 ;;
271 *-hp-hpux[78]*)
272 tentative_cc="cc -Wp,-H256000"
273 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
274 ;;
275 *-hp-hpux*)
276 tentative_cc="cc -Wp,-H256000"
277 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
278 ;;
279 *-*-hiux*)
280 tentative_cc="cc -Wp,-H256000"
281 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
282 ;;
283 rs6000-*-lynxos*)
284 # /bin/cc is less than useful for our purposes. Always use GCC
285 tentative_cc="/usr/cygnus/progressive/bin/gcc"
286 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
287 ;;
288 *-*-lynxos*)
289 # /bin/cc is less than useful for our purposes. Always use GCC
290 tentative_cc="/bin/gcc"
291 ;;
292 *-*-sysv4*)
293 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
294 ;;
295 *-*-sysv*)
296 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
297 ;;
298 esac
299 fi
300
301 # If we aren't going to be using gcc, see if we can extract a definition
302 # of CC from the fragment.
303 # Actually, use the 'pre-extracted' version above.
304 if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
305 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
306 found=
307 for dir in $PATH; do
308 test -z "$dir" && dir=.
309 if test -f $dir/gcc; then
310 found=yes
311 break
312 fi
313 done
314 IFS="$save_ifs"
315 if [ -z "${found}" ] && [ -n "${tentative_cc}" ] ; then
316 CC=$tentative_cc
317 fi
318 fi
319
320 # We default to --with-shared on platforms where -fpic is meaningless.
321 # Well, we don't yet, but we will.
322 if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
323 case "${target}" in
324 alpha*-dec-osf*) enable_shared=yes ;;
325 alpha*-*-linux*) enable_shared=yes ;;
326 mips-sgi-irix5*) enable_shared=yes ;;
327 *) enable_shared=no ;;
328 esac
329 fi
330
331 # hpux11 in 64bit mode has libraries in a weird place. Arrange to find
332 # them automatically.
333 case "${host}" in
334 hppa*64*-*-hpux11*)
335 withoptions="$withoptions -x-libraries=/usr/lib/pa20_64 -x-includes=/usr/X11R6/include"
336 ;;
337 esac
338
339 case "${enable_shared}" in
340 yes) shared=yes ;;
341 no) shared=no ;;
342 "") shared=no ;;
343 *) shared=yes ;;
344 esac
345
346 if [ x${shared} = xyes ]; then
347 case "${host}" in
348 alpha*-*-linux*)
349 host_makefile_frag="${host_makefile_frag} config/mh-elfalphapic"
350 ;;
351 arm*-*-*)
352 host_makefile_frag="${host_makefile_frag} config/mh-armpic"
353 ;;
354 parisc*-*-* | hppa*-*-*)
355 host_makefile_frag="${host_makefile_frag} config/mh-papic"
356 ;;
357 i[3456]86-*-cygwin*)
358 # We don't want -fPIC on Cygwin.
359 ;;
360 i[3456]86-*-*)
361 host_makefile_frag="${host_makefile_frag} config/mh-x86pic"
362 ;;
363 i370-*-*)
364 host_makefile_frag="${host_makefile_frag} config/mh-i370pic"
365 ;;
366 ia64-*-*)
367 host_makefile_frag="${host_makefile_frag} config/mh-ia64pic"
368 ;;
369 sparc64-*-*)
370 host_makefile_frag="${host_makefile_frag} config/mh-sparcpic"
371 ;;
372 powerpc*-*-aix*)
373 # We don't want -fPIC on AIX.
374 ;;
375 powerpc*-*-*)
376 host_makefile_frag="${host_makefile_frag} config/mh-ppcpic"
377 ;;
378 s390-* | s390x-*)
379 host_makefile_frag="${host_makefile_frag} config/mh-s390pic"
380 ;;
381 *-*-*)
382 if test -f ${srcdir}/config/mh-${host_cpu}pic; then
383 host_makefile_frag="${host_makefile_frag} config/mh-${host_cpu}pic"
384 fi
385 ;;
386 esac
387 fi
388
389 rm -f mh-frag
390 if [ -n "${host_makefile_frag}" ] ; then
391 for f in ${host_makefile_frag}
392 do
393 cat ${srcdir}/$f >> mh-frag
394 done
395 host_makefile_frag=mh-frag
396 fi
397
398 # per-target:
399
400 case "${target}" in
401 v810*)
402 target_makefile_frag="${target_makefile_frag} config/mt-v810"
403 ;;
404 i[3456]86-*-netware*)
405 target_makefile_frag="${target_makefile_frag} config/mt-netware"
406 ;;
407 powerpc-*-netware*)
408 target_makefile_frag="${target_makefile_frag} config/mt-netware"
409 ;;
410 alpha*-*-linux*)
411 target_makefile_frag="${target_makefile_frag} config/mt-linux"
412 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
413 ;;
414 alpha*-*-*)
415 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
416 ;;
417 *-*-linux*)
418 target_makefile_frag="${target_makefile_frag} config/mt-linux"
419 ;;
420 *-*-aix4.[3456789]* | *-*-aix[56789].*)
421 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
422 ;;
423 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
424 target_makefile_frag="${target_makefile_frag} config/mt-wince"
425 ;;
426 esac
427
428 # If --enable-target-optspace always use -Os instead of -O2 to build
429 # the target libraries, similarly if it is not specified, use -Os
430 # on selected platforms.
431 case "${enable_target_optspace}:${target}" in
432 yes:*)
433 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
434 ;;
435 :d30v-*)
436 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
437 ;;
438 :m32r-* | :d10v-* | :fr30-*)
439 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
440 ;;
441 no:* | :*)
442 ;;
443 *)
444 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
445 ;;
446 esac
447
448 skipdirs=
449 gasdir=gas
450 use_gnu_ld=
451 use_gnu_as=
452
453 # some tools are so dependent upon X11 that if we're not building with X,
454 # it's not even worth trying to configure, much less build, that tool.
455
456 case ${with_x} in
457 yes | "") # the default value for this tree is that X11 is available
458 ;;
459 no)
460 skipdirs="${skipdirs} tk libgui gash"
461 ;;
462 *)
463 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
464 ;;
465 esac
466
467 # Some tools are only suitable for building in a "native" situation.
468 # Those are added when we have a host==target configuration. For cross
469 # toolchains, we add some directories that should only be useful in a
470 # cross-compiler.
471
472 is_cross_compiler=
473
474 if [ x"${host}" = x"${target}" ] ; then
475 # when doing a native toolchain, don't build the targets
476 # that are in the 'cross only' list
477 skipdirs="${skipdirs} ${cross_only}"
478 is_cross_compiler=no
479 else
480 # similarly, don't build the targets in the 'native only'
481 # list when building a cross compiler
482 skipdirs="${skipdirs} ${native_only}"
483 is_cross_compiler=yes
484 fi
485
486 # We always want to use the same name for this directory, so that dejagnu
487 # can reliably find it.
488 target_subdir=${target_alias}
489
490 if [ ! -d ${target_subdir} ] ; then
491 if mkdir ${target_subdir} ; then true
492 else
493 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
494 exit 1
495 fi
496 fi
497
498 build_subdir=${build_alias}
499
500 if [ x"${build_alias}" != x"${host}" ] ; then
501 if [ ! -d ${build_subdir} ] ; then
502 if mkdir ${build_subdir} ; then true
503 else
504 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
505 exit 1
506 fi
507 fi
508 fi
509
510 copy_dirs=
511
512 # Handle --with-headers=XXX. The contents of the named directory are
513 # copied to $(tooldir)/sys-include.
514 if [ x"${with_headers}" != x ]; then
515 if [ x${is_cross_compiler} = xno ]; then
516 echo 1>&2 '***' --with-headers is only supported when cross compiling
517 exit 1
518 fi
519 case "${exec_prefixoption}" in
520 "") x=${prefix} ;;
521 *) x=${exec_prefix} ;;
522 esac
523 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
524 fi
525
526 # Handle --with-libs=XXX. Multiple directories are permitted. The
527 # contents are copied to $(tooldir)/lib.
528 if [ x"${with_libs}" != x ]; then
529 if [ x${is_cross_compiler} = xno ]; then
530 echo 1>&2 '***' --with-libs is only supported when cross compiling
531 exit 1
532 fi
533 # Copy the libraries in reverse order, so that files in the first named
534 # library override files in subsequent libraries.
535 case "${exec_prefixoption}" in
536 "") x=${prefix} ;;
537 *) x=${exec_prefix} ;;
538 esac
539 for l in ${with_libs}; do
540 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
541 done
542 fi
543
544 # If both --with-headers and --with-libs are specified, default to
545 # --without-newlib.
546 if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
547 if [ x"${with_newlib}" = x ]; then
548 with_newlib=no
549 fi
550 fi
551
552 # Recognize --with-newlib/--without-newlib.
553 if [ x${with_newlib} = xno ]; then
554 skipdirs="${skipdirs} target-newlib"
555 elif [ x${with_newlib} = xyes ]; then
556 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
557 fi
558
559 # Default to using --with-stabs for certain targets.
560 if [ x${with_stabs} = x ]; then
561 case "${target}" in
562 mips*-*-irix6*)
563 ;;
564 mips*-*-* | alpha*-*-osf*)
565 with_stabs=yes;
566 withoptions="${withoptions} --with-stabs"
567 ;;
568 esac
569 fi
570
571 # Handle ${copy_dirs}
572 set fnord ${copy_dirs}
573 shift
574 while [ $# != 0 ]; do
575 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
576 :
577 else
578 echo Copying $1 to $2
579
580 # Use the install script to create the directory and all required
581 # parent directories.
582 if [ -d $2 ]; then
583 :
584 else
585 echo >config.temp
586 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
587 fi
588
589 # Copy the directory, assuming we have tar.
590 # FIXME: Should we use B in the second tar? Not all systems support it.
591 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
592
593 # It is the responsibility of the user to correctly adjust all
594 # symlinks. If somebody can figure out how to handle them correctly
595 # here, feel free to add the code.
596
597 echo $1 > $2/COPIED
598 fi
599 shift; shift
600 done
601
602 # Configure extra directories which are host specific
603
604 case "${host}" in
605 i[3456]86-*-go32*)
606 configdirs="$configdirs dosrel" ;;
607 i[3456]86-*-mingw32*)
608 configdirs="$configdirs dosrel" ;;
609 *-cygwin*)
610 configdirs="$configdirs libtermcap dosrel" ;;
611 esac
612
613 # Remove more programs from consideration, based on the host or
614 # target this usually means that a port of the program doesn't
615 # exist yet.
616
617 noconfigdirs=""
618
619 case "${host}" in
620 hppa*64*-*-*)
621 noconfigdirs="$noconfigdirs byacc"
622 ;;
623 i[3456]86-*-vsta)
624 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
625 ;;
626 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
627 noconfigdirs="tcl tk expect dejagnu send-pr uudecode guile apache inet itcl tix db snavigator gnuserv libffi"
628 ;;
629 i[3456]86-*-mingw32*)
630 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
631 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
632 ;;
633 i[3456]86-*-beos*)
634 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
635 ;;
636 *-*-cygwin*)
637 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
638 ;;
639 *-*-netbsd*)
640 noconfigdirs="rcs"
641 ;;
642 ppc*-*-pe)
643 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
644 ;;
645 powerpc-*-beos*)
646 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
647 ;;
648 esac
649
650 # Save it here so that, even in case of --enable-libgcj, if the Java
651 # front-end isn't enabled, we still get libgcj disabled.
652 libgcj_saved=$libgcj
653 case $enable_libgcj in
654 yes)
655 # If we reset it here, it won't get added to noconfigdirs in the
656 # target-specific build rules, so it will be forcibly enabled
657 # (unless the Java language itself isn't enabled).
658 libgcj=
659 ;;
660 no)
661 # Make sure we get it printed in the list of not supported target libs.
662 noconfigdirs="$noconfigdirs ${libgcj}"
663 ;;
664 esac
665
666 case "${target}" in
667 *-*-chorusos)
668 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
669 ;;
670 *-*-freebsd[12] | *-*-freebsd[12].* | *-*-freebsd*aout*)
671 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
672 ;;
673 *-*-netbsd*)
674 # Skip some stuff on all NetBSD configurations.
675 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
676
677 # Skip some stuff that's unsupported on some NetBSD configurations.
678 case "${target}" in
679 i*86-*-netbsdelf*) ;;
680 *)
681 noconfigdirs="$noconfigdirs ${libgcj}"
682 ;;
683 esac
684 ;;
685 *-*-netware)
686 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
687 ;;
688 *-*-rtems*)
689 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
690 ;;
691 *-*-vxworks*)
692 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
693 ;;
694 alpha*-dec-osf*)
695 # ld works, but does not support shared libraries. emacs doesn't
696 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
697 # gas doesn't generate exception information.
698 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
699 ;;
700 alpha*-*-*vms*)
701 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
702 ;;
703 alpha*-*-linux*)
704 # newlib is not 64 bit ready
705 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
706 # linux has rx in libc
707 skipdirs="$skipdirs target-librx"
708 ;;
709 alpha*-*-freebsd*)
710 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
711 ;;
712 alpha*-*-*)
713 # newlib is not 64 bit ready
714 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
715 ;;
716 sh-*-linux*)
717 noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
718 # linux has rx in libc
719 skipdirs="$skipdirs target-librx"
720 ;;
721 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
722 noconfigdirs="$noconfigdirs ${libgcj}"
723 noconfigdirs="$noconfigdirs target-examples"
724 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
725 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
726 noconfigdirs="$noconfigdirs expect dejagnu"
727 # the C++ libraries don't build on top of CE's C libraries
728 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
729 skipdirs="$skipdirs target-newlib"
730 case "${host}" in
731 *-*-cygwin*) ;; # keep gdb and readline
732 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
733 ;;
734 esac
735 ;;
736 arc-*-*)
737 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
738 ;;
739 arm-*-pe*)
740 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
741 ;;
742 arm-*-oabi*)
743 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
744 ;;
745 thumb-*-coff)
746 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
747 ;;
748 thumb-*-elf)
749 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
750 ;;
751 thumb-*-oabi)
752 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
753 ;;
754 strongarm-*-elf)
755 noconfigdirs="$noconfigdirs ${libgcj}"
756 ;;
757 strongarm-*-coff)
758 noconfigdirs="$noconfigdirs ${libgcj}"
759 ;;
760 xscale-*-elf)
761 noconfigdirs="$noconfigdirs target-libffi target-qthreads"
762 ;;
763 xscale-*-coff)
764 noconfigdirs="$noconfigdirs ${libgcj}"
765 ;;
766 thumb-*-pe)
767 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
768 ;;
769 arm-*-riscix*)
770 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
771 ;;
772 c4x-*-*)
773 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
774 ;;
775 c54x*-*-* | tic54x-*-*)
776 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
777 ;;
778 cris-*-*)
779 noconfigdirs="$noconfigdirs ${libgcj}"
780 ;;
781 d10v-*-*)
782 noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
783 ;;
784 d30v-*-*)
785 noconfigdirs="$noconfigdirs ${libgcj}"
786 ;;
787 fr30-*-elf*)
788 noconfigdirs="$noconfigdirs ${libgcj}"
789 if [ x${is_cross_compiler} != xno ] ; then
790 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
791 fi
792 ;;
793 h8300*-*-*)
794 noconfigdirs="$noconfigdirs target-libgloss"
795 ;;
796 h8500-*-*)
797 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
798 ;;
799 hppa*64*-*-linux* | parisc*64*-*-linux*)
800 # In this case, it's because the hppa64-linux target is for
801 # the kernel only at this point and has no libc, and thus no
802 # headers, crt*.o, etc., all of which are needed by these.
803 noconfigdirs="$noconfigdirs target-zlib"
804 ;;
805 hppa*-*-*elf* | \
806 parisc*-*-linux* | hppa*-*-linux* | \
807 hppa*-*-lites* | \
808 hppa*64*-*-*)
809 noconfigdirs="$noconfigdirs ${libgcj}"
810 # Do configure ld/binutils/gas for this case.
811 ;;
812 hppa*-*-*)
813 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
814 # cc is gcc, and on any system a user should be able to link cc to
815 # whatever they want. FIXME, emacs emacs19).
816 case "${CC}" in
817 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
818 *) ;;
819 esac
820 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
821 # build on HP-UX 10.20.
822 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
823 ;;
824 ia64*-*-elf*)
825 # No gdb support yet.
826 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
827 ;;
828 ia64*-**-hpux*)
829 # No gdb or ld support yet.
830 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
831 ;;
832 i[3456]86-*-coff | i[3456]86-*-elf)
833 noconfigdirs="$noconfigdirs ${libgcj}"
834 if [ x${is_cross_compiler} != xno ] ; then
835 target_configdirs="${target_configdirs} target-libstub target-cygmon"
836 fi
837 ;;
838 i[34567]86-*-freebsd*)
839 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
840 ;;
841 *-*-linux*)
842 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
843 # linux has rx in libc
844 skipdirs="$skipdirs target-librx"
845 ;;
846 i[3456]86-*-mingw32*)
847 target_configdirs="$target_configdirs target-mingw"
848 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
849
850 # Can't build gdb for mingw32 if not native.
851 case "${host}" in
852 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
853 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
854 ;;
855 esac
856 ;;
857 *-*-cygwin*)
858 target_configdirs="$target_configdirs target-libtermcap target-winsup"
859 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
860 # always build newlib.
861 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
862
863 # Can't build gdb for Cygwin if not native.
864 case "${host}" in
865 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
866 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
867 ;;
868 esac
869 ;;
870 i[3456]86-*-pe)
871 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
872 ;;
873 i[3456]86-*-sco3.2v5*)
874 # The linker does not yet know about weak symbols in COFF,
875 # and is not configured to handle mixed ELF and COFF.
876 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
877 ;;
878 i[3456]86-*-sco*)
879 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
880 ;;
881 i[3456]86-*-solaris2*)
882 noconfigdirs="$noconfigdirs target-libgloss"
883 ;;
884 i[3456]86-*-sysv4*)
885 # The SYSV4 C compiler doesn't handle Emacs correctly
886 case "${CC}" in
887 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
888 *) ;;
889 esac
890 # but that's okay since emacs doesn't work anyway
891 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
892 ;;
893 i[3456]86-*-beos*)
894 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
895 ;;
896 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
897 noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
898 ;;
899 m68k-*-elf*)
900 noconfigdirs="$noconfigdirs ${libgcj}"
901 if [ x${is_cross_compiler} != xno ] ; then
902 target_configdirs="${target_configdirs} target-bsp target-cygmon"
903 fi
904 ;;
905 m68k-*-coff*)
906 noconfigdirs="$noconfigdirs ${libgcj}"
907 if [ x${is_cross_compiler} != xno ] ; then
908 target_configdirs="${target_configdirs} target-bsp target-cygmon"
909 fi
910 ;;
911 mcore-*-pe*)
912 # The EPOC C++ environment does not support exceptions or rtti,
913 # and so building libstdc++-v3 tends not to always work.
914 noconfigdirs="$noconfigdirs target-libstdc++-v3"
915 ;;
916 mmix-*-*)
917 noconfigdirs="$noconfigdirs ${libgcj}"
918 ;;
919 mn10200-*-*)
920 noconfigdirs="$noconfigdirs ${libgcj}"
921 if [ x${is_cross_compiler} != xno ] ; then
922 target_configdirs="${target_configdirs} target-libstub target-cygmon"
923 fi
924 ;;
925 mn10300-*-*)
926 noconfigdirs="$noconfigdirs ${libgcj}"
927 if [ x${is_cross_compiler} != xno ] ; then
928 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
929 fi
930 ;;
931 powerpc-*-aix*)
932 # copied from rs6000-*-* entry
933 noconfigdirs="$noconfigdirs gprof cvssrc target-libgloss ${libgcj}"
934 use_gnu_ld=yes
935 ;;
936 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
937 target_configdirs="$target_configdirs target-winsup"
938 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv ${libgcj}"
939 # always build newlib.
940 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
941 ;;
942 # This is temporary until we can link against shared libraries
943 powerpcle-*-solaris*)
944 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv ${libgcj}"
945 ;;
946 powerpc-*-beos*)
947 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
948 ;;
949 powerpc-*-eabi)
950 noconfigdirs="$noconfigdirs ${libgcj}"
951 if [ x${is_cross_compiler} != xno ] ; then
952 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
953 fi
954 ;;
955 rs6000-*-lynxos*)
956 # The CVS server code doesn't work on the RS/6000
957 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc ${libgcj}"
958 ;;
959 rs6000-*-aix*)
960 noconfigdirs="$noconfigdirs gprof ${libgcj}"
961 use_gnu_ld=yes
962 ;;
963 rs6000-*-*)
964 noconfigdirs="$noconfigdirs gprof ${libgcj}"
965 ;;
966 m68k-apollo-*)
967 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss ${libgcj}"
968 ;;
969 mips*-*-irix5*)
970 # The GNU linker does not support shared libraries.
971 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
972 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
973 ;;
974 mips*-*-irix6*)
975 # The GNU assembler does not support IRIX 6.
976 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
977 # Linking libjava exceeds command-line length limits on at least
978 # IRIX 6.2, but not on IRIX 6.5.
979 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
980 # <oldham@codesourcery.com>
981 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
982 ;;
983 mips*-dec-bsd*)
984 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
985 ;;
986 mips*-*-bsd*)
987 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
988 ;;
989 mipstx39-*-*)
990 noconfigdirs="$noconfigdirs gprof ${libgcj}" # same as generic mips
991 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
992 ;;
993 mips*-*-linux*)
994 noconfigdirs="$noconfigdirs target-libffi"
995 ;;
996 mips*-*-*)
997 noconfigdirs="$noconfigdirs gprof ${libgcj}"
998 ;;
999 romp-*-*)
1000 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
1001 ;;
1002 sh-*-*)
1003 case "${host}" in
1004 i[3456]86-*-vsta) ;; # don't add gprof back in
1005 i[3456]86-*-go32*) ;; # don't add gprof back in
1006 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
1007 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
1008 esac
1009 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1010 ;;
1011 sh64-*-*)
1012 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1013 ;;
1014 sparc-*-elf*)
1015 if [ x${is_cross_compiler} != xno ] ; then
1016 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1017 fi
1018 ;;
1019 sparc64-*-elf*)
1020 if [ x${is_cross_compiler} != xno ] ; then
1021 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1022 fi
1023 ;;
1024 sparclite-*-*)
1025 if [ x${is_cross_compiler} != xno ] ; then
1026 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
1027 fi
1028 noconfigdirs="$noconfigdirs ${libgcj}"
1029 ;;
1030 sparc-*-sunos4*)
1031 noconfigdirs="$noconfigdirs ${libgcj}"
1032 if [ x${is_cross_compiler} != xno ] ; then
1033 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
1034 else
1035 use_gnu_ld=no
1036 fi
1037 ;;
1038 sparc-*-solaris*)
1039 ;;
1040 v810-*-*)
1041 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
1042 ;;
1043 v850-*-*)
1044 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1045 ;;
1046 v850e-*-*)
1047 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1048 ;;
1049 v850ea-*-*)
1050 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1051 ;;
1052 vax-*-vms)
1053 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss ${libgcj}"
1054 ;;
1055 vax-*-*)
1056 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1057 ;;
1058 *-*-lynxos*)
1059 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1060 ;;
1061 *-*-macos* | \
1062 *-*-mpw*)
1063 # Macs want a resource compiler.
1064 configdirs="$configdirs grez"
1065 noconfigdirs="$noconfigdirs ${libgcj}"
1066 ;;
1067 *-*-*)
1068 noconfigdirs="$noconfigdirs ${libgcj}"
1069 ;;
1070 esac
1071
1072 # If we aren't building newlib, then don't build libgloss, since libgloss
1073 # depends upon some newlib header files.
1074 case "${noconfigdirs}" in
1075 *target-libgloss*) ;;
1076 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
1077 esac
1078
1079 # Make sure we don't let GNU ld be added if we didn't want it.
1080 if [ x$with_gnu_ld = xno ]; then
1081 use_gnu_ld=no
1082 noconfigdirs="$noconfigdirs ld"
1083 fi
1084
1085 # Make sure we don't let GNU as be added if we didn't want it.
1086 if [ x$with_gnu_as = xno ]; then
1087 use_gnu_as=no
1088 noconfigdirs="$noconfigdirs gas"
1089 fi
1090
1091 # Figure out what language subdirectories are present.
1092 # Look if the user specified --enable-languages="..."; if not, use
1093 # the environment variable $LANGUAGES if defined. $LANGUAGES might
1094 # go away some day.
1095 # NB: embedded tabs in this IF block -- do not untabify
1096 if test x"${enable_languages+set}" != xset; then
1097 if test x"${LANGUAGES+set}" = xset; then
1098 enable_languages="${LANGUAGES}"
1099 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
1100 else
1101 enable_languages=all
1102 fi
1103 else
1104 if test x"${enable_languages}" = x ||
1105 test x"${enable_languages}" = xyes;
1106 then
1107 echo configure.in: --enable-languages needs at least one language argument 1>&2
1108 exit 1
1109 fi
1110 fi
1111 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1112
1113 # First scan to see if an enabled language requires some other language.
1114 # We assume that a given config-lang.in will list all the language
1115 # front ends it requires, even if some are required indirectly.
1116 for lang in ${srcdir}/gcc/*/config-lang.in ..
1117 do
1118 case $lang in
1119 ..)
1120 ;;
1121 # The odd quoting in the next line works around
1122 # an apparent bug in bash 1.12 on linux.
1123 ${srcdir}/gcc/[*]/config-lang.in)
1124 ;;
1125 *)
1126 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1127 this_lang_requires=`sed -n -e 's,^lang_requires=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_requires=\([^ ]*\).*$,\1,p' $lang`
1128 for other in $this_lang_requires
1129 do
1130 case ,${enable_languages}, in
1131 *,$other,*)
1132 ;;
1133 *,all,*)
1134 ;;
1135 *,$lang_alias,*)
1136 echo " \`$other' language required by \`$lang_alias'; enabling" 1>&2
1137 enable_languages="$enable_languages,$other"
1138 ;;
1139 esac
1140 done
1141 ;;
1142 esac
1143 done
1144
1145 subdirs=
1146 for lang in ${srcdir}/gcc/*/config-lang.in ..
1147 do
1148 case $lang in
1149 ..) ;;
1150 # The odd quoting in the next line works around
1151 # an apparent bug in bash 1.12 on linux.
1152 ${srcdir}/gcc/[*]/config-lang.in) ;;
1153 *)
1154 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1155 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
1156 this_lang_dirs=`sed -n -e 's,^lang_dirs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_dirs=\([^ ]*\).*$,\1,p' $lang`
1157 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1158 if test "x$lang_alias" = x
1159 then
1160 echo "$lang doesn't set \$language." 1>&2
1161 exit 1
1162 fi
1163 case ${build_by_default},${enable_languages}, in
1164 *,$lang_alias,*) add_this_lang=yes ;;
1165 no,*) add_this_lang=no ;;
1166 *,all,*) add_this_lang=yes ;;
1167 *) add_this_lang=no ;;
1168 esac
1169 if test x"${add_this_lang}" = xyes; then
1170 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1171 else
1172 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs $this_lang_dirs\"
1173 fi
1174 ;;
1175 esac
1176 done
1177
1178 # Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1179 # $target_configdirs.
1180 # If we have the source for $noconfigdirs entries, add them to $notsupp.
1181
1182 notsupp=""
1183 for dir in . $skipdirs $noconfigdirs ; do
1184 dirname=`echo $dir | sed -e s/target-//g`
1185 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1186 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
1187 if [ -r $srcdir/$dirname/configure ] \
1188 || [ -r $srcdir/$dirname/configure.in ]; then
1189 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1190 true
1191 else
1192 notsupp="$notsupp $dir"
1193 fi
1194 fi
1195 fi
1196 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1197 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
1198 if [ -r $srcdir/$dirname/configure ] \
1199 || [ -r $srcdir/$dirname/configure.in ]; then
1200 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1201 true
1202 else
1203 notsupp="$notsupp $dir"
1204 fi
1205 fi
1206 fi
1207 done
1208
1209 # Sometimes the tools are distributed with libiberty but with no other
1210 # libraries. In that case, we don't want to build target-libiberty.
1211 if [ -n "${target_configdirs}" ]; then
1212 others=
1213 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1214 if [ "$i" != "libiberty" ]; then
1215 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
1216 others=yes;
1217 break;
1218 fi
1219 fi
1220 done
1221 if [ -z "${others}" ]; then
1222 target_configdirs=
1223 fi
1224 fi
1225
1226 # Deconfigure all subdirectories, in case we are changing the
1227 # configuration from one where a subdirectory is supported to one where it
1228 # is not.
1229 if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
1230 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1231 rm -f $i/Makefile
1232 done
1233 fi
1234 if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
1235 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1236 rm -f ${target_subdir}/$i/Makefile
1237 done
1238 fi
1239
1240 # Quietly strip out all directories which aren't configurable in this tree.
1241 # This relies on all configurable subdirectories being autoconfiscated, which
1242 # is now the case.
1243 configdirs_all="$configdirs"
1244 configdirs=
1245 for i in ${configdirs_all} ; do
1246 if test -f ${srcdir}/$i/configure ; then
1247 configdirs="${configdirs} $i"
1248 fi
1249 done
1250 target_configdirs_all="$target_configdirs"
1251 target_configdirs=
1252 for i in ${target_configdirs_all} ; do
1253 j=`echo $i | sed -e s/target-//g`
1254 if test -f ${srcdir}/$j/configure ; then
1255 target_configdirs="${target_configdirs} $i"
1256 fi
1257 done
1258
1259 # Produce a warning message for the subdirs we can't configure.
1260 # This isn't especially interesting in the Cygnus tree, but in the individual
1261 # FSF releases, it's important to let people know when their machine isn't
1262 # supported by the one or two programs in a package.
1263
1264 if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
1265 # If $appdirs is non-empty, at least one of those directories must still
1266 # be configured, or we error out. (E.g., if the gas release supports a
1267 # specified target in some subdirs but not the gas subdir, we shouldn't
1268 # pretend that all is well.)
1269 if [ -n "$appdirs" ]; then
1270 for dir in $appdirs ; do
1271 if [ -r $dir/Makefile.in ]; then
1272 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1273 appdirs=""
1274 break
1275 fi
1276 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1277 appdirs=""
1278 break
1279 fi
1280 fi
1281 done
1282 if [ -n "$appdirs" ]; then
1283 echo "*** This configuration is not supported by this package." 1>&2
1284 exit 1
1285 fi
1286 fi
1287 # Okay, some application will build, or we don't care to check. Still
1288 # notify of subdirs not getting built.
1289 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1290 echo " ${notsupp}" 1>&2
1291 echo " (Any other directories should still work fine.)" 1>&2
1292 fi
1293
1294 # Set with_gnu_as and with_gnu_ld as appropriate.
1295 #
1296 # This is done by determining whether or not the appropriate directory
1297 # is available, and by checking whether or not specific configurations
1298 # have requested that this magic not happen.
1299 #
1300 # The command line options always override the explicit settings in
1301 # configure.in, and the settings in configure.in override this magic.
1302 #
1303 # If the default for a toolchain is to use GNU as and ld, and you don't
1304 # want to do that, then you should use the --without-gnu-as and
1305 # --without-gnu-ld options for the configure script.
1306
1307 if [ x${use_gnu_as} = x ] ; then
1308 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
1309 with_gnu_as=yes
1310 withoptions="$withoptions --with-gnu-as"
1311 fi
1312 fi
1313
1314 if [ x${use_gnu_ld} = x ] ; then
1315 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
1316 with_gnu_ld=yes
1317 withoptions="$withoptions --with-gnu-ld"
1318 fi
1319 fi
1320
1321 # If using newlib, add --with-newlib to the withoptions so that gcc/configure
1322 # can detect this case.
1323
1324 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1325 with_newlib=yes
1326 withoptions="$withoptions --with-newlib"
1327 fi
1328
1329 if [ x${shared} = xyes ]; then
1330 case "${target}" in
1331 hppa* | parisc*)
1332 target_makefile_frag="${target_makefile_frag} config/mt-papic"
1333 ;;
1334 i[3456]86-*)
1335 target_makefile_frag="${target_makefile_frag} config/mt-x86pic"
1336 ;;
1337 ia64-*)
1338 target_makefile_frag="${target_makefile_frag} config/mt-ia64pic"
1339 ;;
1340 powerpc*-*-aix*)
1341 # We don't want -fPIC on AIX.
1342 ;;
1343 powerpc*-*)
1344 target_makefile_frag="${target_makefile_frag} config/mt-ppcpic"
1345 ;;
1346 alpha*-*-linux*)
1347 target_makefile_frag="${target_makefile_frag} config/mt-elfalphapic"
1348 ;;
1349 *)
1350 if test -f ${srcdir}/config/mt-${target_cpu}pic; then
1351 target_makefile_frag="${target_makefile_frag} config/mt-${target_cpu}pic"
1352 fi
1353 ;;
1354 esac
1355 fi
1356
1357 rm -f mt-frag
1358 if [ -n "${target_makefile_frag}" ] ; then
1359 for f in ${target_makefile_frag}
1360 do
1361 cat ${srcdir}/$f >> mt-frag
1362 done
1363 target_makefile_frag=mt-frag
1364 fi
1365
1366 # post-target:
1367
1368 # Make sure that the compiler is able to generate an executable. If it
1369 # can't, we are probably in trouble. We don't care whether we can run the
1370 # executable--we might be using a cross compiler--we only care whether it
1371 # can be created. At this point the main configure script has set CC.
1372 echo "int main () { return 0; }" > conftest.c
1373 ${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
1374 if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
1375 :
1376 else
1377 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1378 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1379 rm -f conftest*
1380 exit 1
1381 fi
1382 rm -f conftest*
1383
1384 # The Solaris /usr/ucb/cc compiler does not appear to work.
1385 case "${host}" in
1386 sparc-sun-solaris2*)
1387 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
1388 if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
1389 could_use=
1390 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
1391 if [ -d /opt/cygnus/bin ] ; then
1392 if [ "$could_use" = "" ] ; then
1393 could_use="/opt/cygnus/bin"
1394 else
1395 could_use="$could_use or /opt/cygnus/bin"
1396 fi
1397 fi
1398 if [ "$could_use" = "" ] ; then
1399 echo "Warning: compilation may fail because you're using"
1400 echo "/usr/ucb/cc. You should change your PATH or CC "
1401 echo "variable and rerun configure."
1402 else
1403 echo "Warning: compilation may fail because you're using"
1404 echo "/usr/ucb/cc, when you should use the C compiler from"
1405 echo "$could_use. You should change your"
1406 echo "PATH or CC variable and rerun configure."
1407 fi
1408 fi
1409 ;;
1410 esac
1411
1412 # If we're building libgcj and we're using the Solaris 2.8 linker,
1413 # then we check for a known problem.
1414 if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
1415 && test "${is_cross_compiler}" = no; then
1416
1417 case "${host}" in
1418 sparc-*-solaris2.8)
1419 if test "$libdir" = '${exec_prefix}/lib';then
1420 if test "$exec_prefix" = '$(prefix)'; then
1421 tlibdir="$prefix/lib"
1422 else
1423 tlibdir="$exec_prefix/lib"
1424 fi
1425 else
1426 tlibdir="$libdir"
1427 fi
1428 if test -f $tlibdir/libgcj.la; then
1429 echo "*** You've already installed libgcj in $tlibdir." 1>&2
1430 echo " This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
1431 echo " Either disable the libgcj build, or remove the" 1>&2
1432 echo " already-installed libgcj files." 1>&2
1433 exit 1
1434 fi
1435 ;;
1436 esac
1437 fi
1438
1439 # If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1440 # binutils tools will find libbfd.so.
1441 if [ "${shared}" = "yes" ]; then
1442 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1443 Makefile > Makefile.tem
1444 rm -f Makefile
1445 mv -f Makefile.tem Makefile
1446
1447 case "${host}" in
1448 *-*-hpux*)
1449 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1450 Makefile > Makefile.tem
1451 rm -f Makefile
1452 mv -f Makefile.tem Makefile
1453 ;;
1454 esac
1455 fi
1456
1457 # Record target_configdirs and the configure arguments for target and
1458 # build configuration in Makefile.
1459 target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1460 targargs=`echo "${arguments}" | \
1461 sed -e 's/--no[^ ]*//' \
1462 -e 's/--cache[a-z-]*=[^ ]*//' \
1463 -e 's/--ho[a-z-]*=[^ ]*//' \
1464 -e 's/--bu[a-z-]*=[^ ]*//' \
1465 -e 's/--ta[a-z-]*=[^ ]*//'`
1466
1467 # For the build-side libraries, we just need to pretend we're native,
1468 # and not use the same cache file. Multilibs are neither needed nor
1469 # desired.
1470 buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1471
1472 # Passing a --with-cross-host argument lets the target libraries know
1473 # whether they are being built with a cross-compiler or being built
1474 # native. However, it would be better to use other mechanisms to make the
1475 # sorts of decisions they want to make on this basis. Please consider
1476 # this option to be deprecated. FIXME.
1477 if [ x${is_cross_compiler} = xyes ]; then
1478 targargs="--with-cross-host=${host_alias} ${targargs}"
1479 fi
1480
1481 # Default to --enable-multilib.
1482 if [ x${enable_multilib} = x ]; then
1483 targargs="--enable-multilib ${targargs}"
1484 fi
1485
1486 # Pass --with-newlib if appropriate. Note that target_configdirs has
1487 # changed from the earlier setting of with_newlib.
1488 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1489 targargs="--with-newlib ${targargs}"
1490 fi
1491
1492 # Pass the appropriate --host, --build, and --cache-file arguments.
1493 targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1494
1495 # provide a proper gxx_include_dir.
1496 # Note, if you change the default, make sure to fix both here and in
1497 # the gcc and libstdc++-v3 subdirectories.
1498 # Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1499 gxx_include_dir=
1500 if test -n "${with_gxx_include_dir}"; then
1501 case "${with_gxx_include_dir}" in
1502 yes )
1503 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1504 exit 1
1505 ;;
1506 no )
1507 ;;
1508 * )
1509 gxx_include_dir=${with_gxx_include_dir}
1510 ;;
1511 esac
1512 fi
1513 if test x${gxx_include_dir} = x; then
1514 if test x${enable_version_specific_runtime_libs} = xyes; then
1515 gxx_include_dir='${libsubdir}/include/g++'
1516 else
1517 . ${topsrcdir}/config.if
1518 gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
1519 fi
1520 else
1521 gxx_include_dir=${gxx_include_dir}
1522 fi
1523
1524 FLAGS_FOR_TARGET=
1525 case " $skipdirs " in
1526 *" target-newlib "*) ;;
1527 *)
1528 case " $target_configdirs " in
1529 *" newlib "*)
1530 case " $targargs " in
1531 *" --with-newlib "*)
1532 case "$target" in
1533 *-cygwin*)
1534 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1535 esac
1536
1537 # If we're not building GCC, don't discard standard headers.
1538 if test -d ${topsrcdir}/gcc; then
1539 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
1540
1541 if test "${build}" != "${host}"; then
1542 # On Canadian crosses, CC_FOR_TARGET will have already been set
1543 # by `configure', so we won't have an opportunity to add -Bgcc/
1544 # to it. This is right: we don't want to search that directory
1545 # for binaries, but we want the header files in there, so add
1546 # them explicitly.
1547 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1548
1549 # Someone might think of using the pre-installed headers on
1550 # Canadian crosses, in case the installed compiler is not fully
1551 # compatible with the compiler being built. In this case, it
1552 # would be better to flag an error than risking having
1553 # incompatible object files being constructed. We can't
1554 # guarantee that an error will be flagged, but let's hope the
1555 # compiler will do it, when presented with incompatible header
1556 # files.
1557 fi
1558 fi
1559
1560 case "${target}-${is_cross_compiler}" in
1561 i[3456]86-pc-linux*-no)
1562 # Here host == target, so we don't need to build gcc,
1563 # so we don't want to discard standard headers.
1564 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1565 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1566 ;;
1567 *)
1568 # If we're building newlib, use its generic headers last, but search
1569 # for any libc-related directories first (so make it the last -B
1570 # switch).
1571 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1572 ;;
1573 esac
1574 ;;
1575 esac
1576 ;;
1577 esac
1578 ;;
1579 esac
1580
1581 # On Canadian crosses, we'll be searching the right directories for
1582 # the previously-installed cross compiler, so don't bother to add
1583 # flags for directories within the install tree of the compiler
1584 # being built; programs in there won't even run.
1585 if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
1586 # Search for pre-installed headers if nothing else fits.
1587 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1588 fi
1589
1590 if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1591 echo " ${configdirs} " | grep " ld " > /dev/null &&
1592 test -d ${srcdir}/ld; then
1593 # Arrange for us to find uninstalled linker scripts.
1594 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1595 fi
1596
1597 if test "x${CC_FOR_TARGET+set}" = xset; then
1598 :
1599 elif test -d ${topsrcdir}/gcc; then
1600 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
1601 elif test "$host" = "$target"; then
1602 CC_FOR_TARGET='$(CC)'
1603 else
1604 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1605 fi
1606 # On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1607 # if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1608 case $CC_FOR_TARGET in
1609 *' $(FLAGS_FOR_TARGET)') ;;
1610 *) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1611 esac
1612
1613 if test "x${GCJ_FOR_TARGET+set}" = xset; then
1614 :
1615 elif test -d ${topsrcdir}/gcc; then
1616 GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
1617 elif test "$host" = "$target"; then
1618 GCJ_FOR_TARGET='gcj'
1619 else
1620 GCJ_FOR_TARGET=`echo gcj | sed -e 's/x/x/' ${program_transform_name}`
1621 fi
1622 case $GCJ_FOR_TARGET in
1623 *' $(FLAGS_FOR_TARGET)') ;;
1624 *) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1625 esac
1626
1627 if test "x${CXX_FOR_TARGET+set}" = xset; then
1628 :
1629 elif test -d ${topsrcdir}/gcc; then
1630 # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
1631 # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
1632 # default whereas gcc does not.
1633 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3 | libjava) echo xgcc -shared-libgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
1634 elif test "$host" = "$target"; then
1635 CXX_FOR_TARGET='$(CXX)'
1636 else
1637 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1638 fi
1639 case $CXX_FOR_TARGET in
1640 *' $(FLAGS_FOR_TARGET)') ;;
1641 *) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1642 esac
1643 qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1644
1645 # We want to defer the evaluation of `cmd`s and shell variables in
1646 # CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1647 # bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1648 # quotes, but we still have to duplicate `$'s so that shell variables
1649 # can be expanded by the nested make as shell variables, not as make
1650 # macros.
1651 qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
1652
1653 sedtemp=sed.$$
1654 cat >$sedtemp <<EOF
1655 s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:
1656 s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%
1657 s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%
1658 s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%
1659 s%^GCJ_FOR_TARGET[ ]*=.*$%GCJ_FOR_TARGET = ${GCJ_FOR_TARGET}%
1660 s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%
1661 s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%
1662 s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%
1663 s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%
1664 s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%
1665 s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%
1666 EOF
1667 sed -f $sedtemp Makefile > Makefile.tem
1668 rm -f Makefile $sedtemp
1669 mv -f Makefile.tem Makefile
1670
1671 #
1672 # Local Variables:
1673 # fill-column: 131
1674 # End:
1675 #
This page took 0.067126 seconds and 4 git commands to generate.